com.thinkaurelius.titan.graphdb.internal

## Interface InternalElement

- All Superinterfaces:
    com.tinkerpop.blueprints.Element, Idfiable, Removable, TitanElement
  All Known Subinterfaces:
    InternalRelation, InternalRelationType, InternalVertex, StandardRelation, SystemRelationType
  All Known Implementing Classes:
    AbstractEdge, AbstractElement, AbstractProperty, AbstractTypedRelation, AbstractVertex, BaseKey, BaseLabel, BaseRelationType, BaseVertexLabel, CacheEdge, CacheProperty, CacheVertex, EdgeLabelVertex, EmptyRelationType, EmptyVertex, FulgoraNeighborVertex, FulgoraVertex, ImplicitKey, PropertyKeyVertex, RelationTypeVertex, StandardEdge, StandardProperty, StandardVertex, TitanSchemaVertex, VertexLabelVertex

      public interface InternalElement
      extends TitanElement

  Internal Element interface adding methods that should only be used by Titan
  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `getLifeCycle()`
    `boolean` | `isHidden()` Whether this element is hidden and should only be returned to queries that explicitly ask for hidden elements.
    `InternalElement` | `it()` Returns this element in the context of the current transaction.
    `void` | `setId(long id)`
    `StandardTitanTx` | `tx()` Returns the transaction to which the element is currently bound or should be refreshed into

    - ### Methods inherited from interface com.thinkaurelius.titan.core.TitanElement

      `getId, getLongId, getProperty, getProperty, hasId, isLoaded, isNew, isRemoved, remove, removeProperty, removeProperty, setProperty, setProperty`

    - ### Methods inherited from interface com.tinkerpop.blueprints.Element

      `getPropertyKeys`

- - ### Method Detail

    - #### it

          InternalElement it()

      Returns this element in the context of the current transaction.
      Returns:

    - #### tx

          StandardTitanTx tx()

      Returns the transaction to which the element is currently bound or should be refreshed into
      Returns:

    - #### setId

          void setId(long id)

    - #### getLifeCycle

          byte getLifeCycle()

      Returns:
        The lifecycle of this element
      See Also:
        `ElementLifeCycle`

    - #### isHidden

          boolean isHidden()

      Whether this element is hidden and should only be returned to queries that explicitly ask for hidden elements.
      Returns:

Copyright © 2012–2014. All rights reserved.